=== debian/changelog ===
calamares-settings-ubuntu (1:24.04.1) noble; urgency=medium

  * Fix Vcs-*.
  * Add a Package Select module, allowing for fine-tuned customization of the
    installed system.
  * Migrate to deb822 sources, removing the sources.list file pre-populated by
    livecd-rootfs. Main and Universe deb sources are enabled by default,
    Restricted and Multiverse are opt-in via the installer checkbox.
  * Welcome to Noble!

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 20 Oct 2023 13:39:32 -0500
