## calamares-settings-ubuntu 24.04.5

=== debian/changelog ===
calamares-settings-ubuntu (1:24.04.5) noble; urgency=medium

  * Fixed an FTBFS on !(amd64).

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Wed, 15 Nov 2023 21:12:05 -0600

calamares-settings-ubuntu (1:24.04.4) noble; urgency=medium

  * Fixed the pkgselect module's CMakeLists.txt file.
  * Removed some unnecessary path segments from debian/rules.
  * Unset the executable bit on files that shouldn't be executable.
  * Exported the LC_ALL=C.UTF-8 and DEB_BUILD_MAINT_OPTIONS = hardening =+all
    environment variables in debian/rules since we're building a shared
    library in here now.
  * Removed trailing whitespace from changelog.
  * Added some lintian-overrides for the lack of a manual page and an
    executable Python script in /usr/lib

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Wed, 15 Nov 2023 18:33:39 -0600

calamares-settings-ubuntu (1:24.04.3) noble; urgency=medium

  * Revert a failed FTBFS fix.

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Wed, 15 Nov 2023 17:01:22 -0600
