## calamares-settings-ubuntu 24.04.8

=== debian/changelog ===
calamares-settings-ubuntu (1:24.04.8) noble; urgency=medium

  * Use lxqt-sudo instead of sudo, to pick up theming.
  * Even if modules fail, try to perform the unmount.
  * Explicitly depend on lubuntu-installer-prompt, which provides a default
    workflow on the live system. Remove this package at the end of the install
    as well.
  * Go back to fullscreen.
  * Add a full installation radio button, and disable the bottom checkboxes if
    minimal install is selected.
  * Update snaps used for Krita.
  * Install the QML file to the proper directory.
  * Add some testing code to the QML file to make it do what we'd like.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 22 Nov 2023 18:30:39 -0600
