## calamares-settings-ubuntu 24.04.10

=== debian/changelog ===
calamares-settings-ubuntu (1:24.04.10) noble; urgency=medium

  * Use new icon for Lubuntu's installer, and improve theming.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 23 Dec 2023 18:20:50 -0600
