=== debian/changelog ===
calamares-settings-ubuntu (1:24.04.11) noble; urgency=medium

  * Update welcome slide for Noble.

 -- Dan Simmons <kc2bez@lubuntu.me>  Sat, 30 Dec 2023 16:26:04 -0500
