=== debian/changelog ===
calamares-settings-ubuntu (1:24.04.39) noble; urgency=medium

  * Fix permissions on /home/oem when doing OEM installations. (LP: #2063403)

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 25 Apr 2024 00:01:37 -0500

calamares-settings-ubuntu (1:24.04.38) noble; urgency=high

  * Do not remove zram-config on Ubuntu Unity, it does not exist in the first
    place (LP: #2063108).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 22 Apr 2024 07:10:28 -0500

calamares-settings-ubuntu (1:24.04.37) noble; urgency=medium

  * Correctly lengthen timeouts for network and initramfs package commands.
    (LP: #2060429)

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Fri, 19 Apr 2024 18:52:09 -0500

calamares-settings-ubuntu (1:24.04.36) noble; urgency=medium

  * Don't show Thunderbird as an installable third-party app on Kubuntu.
    (LP: #2062438)

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Fri, 19 Apr 2024 17:38:06 -0500

calamares-settings-ubuntu (1:24.04.35) noble; urgency=medium

  * Remove timeouts for network-related package commands. (LP: #2062106)
  * Remove timeouts for update-initramfs. (LP: #2060429) 

 -- Walter Lapchynski <wxl@ubuntu.com>  Fri, 19 Apr 2024 21:23:54 +0000

calamares-settings-ubuntu (1:24.04.34) noble; urgency=medium

  * Add icon on Desktop to finish OEM install. (LP: #2060928) 

 -- Walter Lapchynski <wxl@ubuntu.com>  Fri, 19 Apr 2024 19:18:59 +0000

calamares-settings-ubuntu (1:24.04.33) noble; urgency=medium

  * Fix slideshow image sizes for Kubuntu.
  * Fix the size of the logo in the upper-left corner for Kubuntu.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 18 Apr 2024 19:28:02 -0500

calamares-settings-ubuntu (1:24.04.32) noble; urgency=medium

  * Remove the third-party driver installation checkbox from pkgselect, its
    functionality was not implemented.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Wed, 17 Apr 2024 23:18:12 -0500

calamares-settings-ubuntu (1:24.04.31) noble; urgency=medium

  * Add Kubuntu branding. (LP: #2060845)

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Tue, 16 Apr 2024 12:57:56 -0500

calamares-settings-ubuntu (1:24.04.30) noble; urgency=medium

  * Don't keep lubuntu-snap-installation-monitor installed on the minimal
    option (LP: #2061318).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 16 Apr 2024 10:24:00 -0500

calamares-settings-ubuntu (1:24.04.29) noble; urgency=medium

  [ Aaron Rainbolt ]
  * Change Kubuntu's Calamares sidebar color.

  [ Walter Lapchynski ]
  * Remove after_bootloader contextual process. (LP: #2061681)

 -- Walter Lapchynski <wxl@ubuntu.com>  Tue, 16 Apr 2024 01:10:47 +0000

calamares-settings-ubuntu (1:24.04.28) noble; urgency=medium

  * Run apt updates before installing packages. (LP: #2061150) 

 -- Walter Lapchynski <wxl@ubuntu.com>  Sat, 13 Apr 2024 00:44:32 +0000

calamares-settings-ubuntu (1:24.04.27) noble; urgency=medium

  * Run the pkgselect contextualprocesses after packages in Kubuntu and Ubuntu
    Unity (LP: #2060879)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 11 Apr 2024 02:49:44 -0500

calamares-settings-ubuntu (1:24.04.26) noble; urgency=medium

  * Make the pkgselect module actually work on Kubuntu and Ubuntu Unity.
    (LP: #2060879)

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Wed, 10 Apr 2024 16:16:21 -0500

calamares-settings-ubuntu (1:24.04.25) noble; urgency=medium

  * Be completely sure apt will not try to prompt the user.
  * Bump the timeout limits to 15 minutes for both pkgselect
    contextualprocess modules.
  * Allow fixconkeys-part2 a 5 minute window to run, which should be
    enough to run update-initramfs (LP: #2060429).
  * Adjust spacers accordingly on no network.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 09 Apr 2024 03:15:53 -0500

calamares-settings-ubuntu (1:24.04.24) noble; urgency=medium

  * Don't try to remove the nonexistant zram-config package from a Kubuntu
    installation.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Mon, 08 Apr 2024 21:07:08 -0500

calamares-settings-ubuntu (1:24.04.23) noble; urgency=medium

  * Set GOCACHE to stay within the build directory

 -- Simon Chopin <schopin@ubuntu.com>  Wed, 03 Apr 2024 19:40:50 +0200

calamares-settings-ubuntu (1:24.04.22) noble; urgency=medium

  * Add missing build dependency on golang-go.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 01 Apr 2024 15:28:24 -0500

calamares-settings-ubuntu (1:24.04.21) noble; urgency=medium

  [ Simon Quigley ]
  * Revamp pkgselect and enable it for everyone (LP: #2056061).
  * Wraaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaap.
  * No-network UX improvements for pkgselect (LP: #2048727).

  [ Aaron Rainbolt ]
  * Don't try to start Unity after the OEM environment exits on Ubuntu Unity,
    this has to be done by logging in via LightDM.
  * Fix a couple of goofs with post-install package purging.

  [ Walter Lapchynski ]
  * Make links work. (LP: #1981473)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 28 Mar 2024 23:30:34 -0500

calamares-settings-ubuntu (1:24.04.20) noble; urgency=medium

  * Fix LUKS passphrase unlocker for non-US keyboard layouts.
  * Disable pkgselect module on Kubuntu, it's not ready for use and wasn't
    intentionally enabled.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 21 Mar 2024 13:32:53 -0500

calamares-settings-ubuntu (1:24.04.19) noble; urgency=medium

  * Add Ubuntu Unity configuration. (LP: #2055799)
  * Disable GeoIP in a couple missed places.
  * Don't tell the user that they've disabled OEM configuration mode when they
    chose to not disable it.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Sun, 17 Mar 2024 20:14:00 +0000

calamares-settings-ubuntu (1:24.04.18) noble; urgency=medium

  * GeoIP in welcome module disabled. 

 -- Walter Lapchynski <wxl@ubuntu.com>  Wed, 13 Mar 2024 18:16:06 +0000

calamares-settings-ubuntu (1:24.04.17) noble; urgency=medium

  [ Neal Gompa ]
  * debian/control: Define the flavor packages as swappable packages

  [ Aaron Rainbolt ]

