## calamares-settings-ubuntu 24.04.40

=== common/modules/pkgselect/CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
     EXPORT_MACRO PLUGINDLLEXPORT_PRO
     SOURCES
     	PackageSelectViewStep.cpp
-    RESOURCES
-        pkgselect.qrc
+    UI
+        pkgselect.ui
     SHARED_LIB
 )
