=== debian/changelog ===
calamares-settings-ubuntu (1:24.04.40) noble; urgency=medium

  * Fix pkgselect UI becoming centered when minimal install mode is selected.
    (LP: #2076303)

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Wed, 07 Aug 2024 19:56:38 -0500
