=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 export LC_ALL=C.UTF-8
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export GOPATH=/usr/share/gocode
+export GO111MODULE=off
+export GOCACHE=$(CURDIR)/.gocache
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 PKGSELECT = "common/modules/pkgselect"
@@ -11,14 +14,19 @@
 	dh $@
 
 override_dh_auto_configure:
-	cd $(PKGSELECT) && mkdir build && cd build && cmake ..
+	(cd $(PKGSELECT) && mkdir build && cd build && cmake ..)
 
 override_dh_auto_build:
 	make;
-	cd $(PKGSELECT)/build && $(MAKE)
+	(cd $(PKGSELECT)/build && $(MAKE))
+	(cd common/snap-seed-glue && go build -gcflags="all=-N -l" -ldflags="-compressdwarf=false" -o snap-seed-glue main.go)
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf $(GOCACHE)
 
 override_dh_auto_install:
-	cd $(PKGSELECT)/build && $(MAKE) DESTDIR=$(CURDIR)/debian/calamares-settings-ubuntu-common/ install
+	(cd $(PKGSELECT)/build && $(MAKE) DESTDIR=$(CURDIR)/debian/calamares-settings-ubuntu-common/ install)
 
 override_dh_missing:
 	dh_missing
@@ -32,4 +40,7 @@
 	chmod 644 $(MODULES_DIR)/pkgselect/libcalamares_viewmodule_pkgselect.so
 	chmod 644 $(MODULES_DIR)/pkgselect/module.desc
 	mkdir -pv debian/calamares-settings-ubuntu-common/usr/bin/
-	cp -v common/snap_install debian/calamares-settings-ubuntu-common/usr/bin/calamares_snap_install
+	cp -v common/snap-seed-glue/snap-seed-glue debian/calamares-settings-ubuntu-common/usr/bin/snap-seed-glue
+	mkdir -pv debian/calamares-settings-ubuntu-common/usr/libexec/
+	cp -v common/fixconkeys-part1 debian/calamares-settings-ubuntu-common/usr/libexec/fixconkeys-part1
+	cp -v common/fixconkeys-part2 debian/calamares-settings-ubuntu-common/usr/libexec/fixconkeys-part2
