## calamares-settings-ubuntu 24.10.1

=== debian/changelog ===
calamares-settings-ubuntu (1:24.10.1) oracular; urgency=medium

  * Welcome to Oracular Oriole!

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 30 Apr 2024 15:24:38 -0500
