## calamares-settings-ubuntu 24.10.2

=== debian/changelog ===
calamares-settings-ubuntu (1:24.10.2) oracular; urgency=medium

  * kubuntu: Change donate URL to point to Kubuntu's donation page
  * kubuntu: Use networkcheck.kde.org for checking for an Internet connection
  * kubuntu: Do not recommend that the user have an Internet connection during
    first-time user setup after an OEM installation
  * ubuntuunity: Do not recommend that the user have an Internet connection
    during first-time user setup after an OEM installation
  * all: Change the UID of the OEM configuration user to 60999.
    - This is done because otherwise the OEM configuration user is given UID
      1000. This results in the first real user on the machine having UID
      1001, which could cause issues in a single-user deployment where the
      user must have or is assumed to have UID 1000. Setting the OEM
      configuration user's UID to 60999 results in the first real user having
      UID 1000. This is similar (though not identical) to Ubiquity's behavior
      with the OEM configuration user.
  * kubuntu: Use QT_QPA_PLATFORMTHEME="kde" rather than
    QT_STYLE_OVERRIDE="Breeze" for the OEM first-time setup session.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Wed, 12 Jun 2024 23:26:13 -0500
