## calamares-settings-ubuntu 24.10.3

=== debian/changelog ===
calamares-settings-ubuntu (1:24.10.3) oracular; urgency=medium

  * Fix pkgselect UI becoming centered when minimal install mode is selected.
    (LP: #2076303) 

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 08 Aug 2024 14:25:24 -0500
