## calamares-settings-ubuntu 24.10.5

=== debian/changelog ===
calamares-settings-ubuntu (1:24.10.5) oracular; urgency=medium

  * Update Kubuntu slideshow for 24.10 (LP: #2080925)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Sep 2024 21:46:11 +0100

calamares-settings-ubuntu (1:24.10.4) oracular; urgency=medium

  * Fix welcome image for Kubuntu, Lubuntu, and Ubuntu Unity. (LP: #2080925)
  * Set root partition name properly for Kubuntu, Lubuntu, and Ubuntu Unity.
    (LP: #2065602)

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Tue, 24 Sep 2024 22:23:11 -0500
