=== debian/changelog ===
calamares-settings-ubuntu (1:25.04.1) plucky; urgency=medium

  * Welcome to Plucky Puffin!
  * Port to Qt 6.
  * Rewrite the pkgselect module and its processing.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 22 Oct 2024 19:23:22 -0500
