## calamares-settings-ubuntu 25.04.11

=== debian/changelog ===
calamares-settings-ubuntu (1:25.04.11) plucky; urgency=medium

  * Rearrange the Lubuntu module order to account for packages with new stuff
    to put in the initramfs.
  * Make forbidden_names much stronger (LP: #2088576).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 27 Nov 2024 23:28:28 -0600

calamares-settings-ubuntu (1:25.04.10) plucky; urgency=medium

  * [pkgselectprocess] Add dpkg diversions for dracut, update-initramfs, and
    locale-gen. These will be called later in the process.
  * [pkgselectprocess] Add a more robust check for apt packages when
    installing them (LP: #2089494).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 24 Nov 2024 20:51:38 -0600

calamares-settings-ubuntu (1:25.04.9) plucky; urgency=medium

  * Add a Dracut config file for Lubuntu.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 22 Nov 2024 19:56:22 -0600

calamares-settings-ubuntu (1:25.04.8) plucky; urgency=medium

  * Add new global storage value for stacked squashfses and adjust config.
  * Switch Lubuntu to dracut.
  * Fix apt install functionality in pkgselectprocess.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 21 Nov 2024 22:27:59 -0600

calamares-settings-ubuntu (1:25.04.7) plucky; urgency=medium

  * Change oem user in Lubuntu raspi prep to user number 60999

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 20 Nov 2024 17:05:19 -0800

calamares-settings-ubuntu (1:25.04.6) plucky; urgency=medium

  * Lubuntu raspi prep: Create oem user so it can actually login to sddm

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 20 Nov 2024 16:58:28 -0800

calamares-settings-ubuntu (1:25.04.5) plucky; urgency=medium

  * Fix Vcs to point to ubuntu-qt-code team LP git.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2024 18:29:43 +0000

calamares-settings-ubuntu (1:25.04.4) plucky; urgency=medium

  * kubuntu/modules/pkgselect.conf: Remove fcitx* from installed system.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2024 17:47:40 +0000

calamares-settings-ubuntu (1:25.04.3) plucky; urgency=medium

  * Lubuntu: Set executable bit on raspberry pi prep script

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 10 Nov 2024 06:30:46 -0800

calamares-settings-ubuntu (1:25.04.2) plucky; urgency=medium

  * Lubuntu: Add raspberry pi prep script 

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 09 Nov 2024 09:25:43 -0800
