=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
 Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
-Build-Depends: calamares (>= 3.3.9),
+Build-Depends: calamares (>= 3.3.12),
                cmake,
                debhelper-compat (= 13),
                extra-cmake-modules,
@@ -18,8 +18,8 @@
                qt6-tools-dev-tools
 Standards-Version: 4.7.0
 Homepage: https://code.launchpad.net/~ubuntu-qt-code/+git/calamares-settings-ubuntu
-Vcs-Browser: https://git.lubuntu.me/Lubuntu/calamares-settings-ubuntu/
-Vcs-Git: https://git.lubuntu.me/Lubuntu/calamares-settings-ubuntu.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-qt-code/+git/calamares-settings-ubuntu
+Vcs-Git: https://git.launchpad.net/~ubuntu-qt-code/+git/calamares-settings-ubuntu
 Rules-Requires-Root: no
 
 Package: calamares-settings-kubuntu
@@ -63,8 +63,9 @@
 
 Package: calamares-settings-ubuntu-common
 Architecture: any
-Depends: calamares (>= 3.3.9),
+Depends: calamares (>= 3.3.12),
          cryptsetup,
+         dracut-core,
          kdialog,
          keyutils,
          python3,
