=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
 Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
-Build-Depends: calamares (>= 3.3.12),
+Build-Depends: calamares (>= 3.3.13-0ubuntu4),
                cmake,
                debhelper-compat (= 13),
                extra-cmake-modules,
@@ -63,7 +63,7 @@
 
 Package: calamares-settings-ubuntu-common
 Architecture: any
-Depends: calamares (>= 3.3.12),
+Depends: calamares (>= 3.3.13-0ubuntu4),
          cryptsetup,
          dracut-core,
          kdialog,
