## calamares-settings-ubuntu 25.04.14

=== debian/changelog ===
calamares-settings-ubuntu (1:25.04.14) plucky; urgency=medium

  * Add dh-sequence-qmldeps and ${qml6:Depends} to ensure all QML 6 runtime
    dependencies are properly picked up.
  * Run wrap-and-sort.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 18 Feb 2025 01:29:25 -0600
