=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
 Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
-Build-Depends: calamares (>= 3.3.13-0ubuntu4),
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-qmldeps,
+               calamares (>= 3.3.13-0ubuntu4),
                cmake,
-               debhelper-compat (= 13),
                extra-cmake-modules,
                intltool,
                libkf6coreaddons-dev,
@@ -25,7 +26,8 @@
 Package: calamares-settings-kubuntu
 Architecture: all
 Depends: calamares-settings-ubuntu-common (>= ${binary:Version}),
-         ${misc:Depends}
+         ${misc:Depends},
+         ${qml6:Depends}
 Conflicts: calamares-settings-ubuntu-flavor
 Provides: calamares-settings-ubuntu-flavor
 Description: Kubuntu Calamares Settings and Branding
@@ -37,7 +39,8 @@
 Package: calamares-settings-lubuntu
 Architecture: all
 Depends: calamares-settings-ubuntu-common (>= ${binary:Version}),
-         ${misc:Depends}
+         ${misc:Depends},
+         ${qml6:Depends}
 Recommends: lubuntu-installer-prompt
 Conflicts: calamares-settings-ubuntu-flavor
 Provides: calamares-settings-ubuntu-flavor
@@ -52,7 +55,8 @@
 Depends: calamares-settings-ubuntu-common (>= ${binary:Version}),
          qt6-style-kvantum,
          qt6-style-kvantum-themes,
-         ${misc:Depends}
+         ${misc:Depends},
+         ${qml6:Depends}
 Conflicts: calamares-settings-ubuntu-flavor
 Provides: calamares-settings-ubuntu-flavor
 Description: Ubuntu Unity Calamares Settings and Branding
@@ -70,12 +74,11 @@
          keyutils,
          python3,
          python3-distro,
-         qml6-module-qtquick,
-         qml6-module-qtquick-window,
          snapd-seed-glue,
          squashfs-tools,
          sudo,
          ${misc:Depends},
+         ${qml6:Depends},
          ${shlibs:Depends}
 Description: Common Calamares Settings
  This package contains the common Calamares settings for all flavors.
