## calamares-settings-ubuntu 25.04.15

=== debian/changelog ===
calamares-settings-ubuntu (1:25.04.15) plucky; urgency=medium

  * Move calamares -> libcalamares-dev for build dependencies.
  * [basicwallpaper] Bump minimum CMake version, remove .user file.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 21 Feb 2025 13:10:40 -0600
