## calamares-settings-ubuntu 25.04.16

=== debian/changelog ===
calamares-settings-ubuntu (1:25.04.16) plucky; urgency=medium

  * Fix installation of apt packages more consistently (LP: #2089494).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 24 Feb 2025 03:53:14 -0600
