## calamares-settings-ubuntu 25.04.18

=== debian/changelog ===
calamares-settings-ubuntu (1:25.04.18) plucky; urgency=medium

  * Add python3 as build-dep. 

 -- Walter Lapchynski <wxl@ubuntu.com>  Fri, 07 Mar 2025 01:11:36 +0000
