=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
                libkf6coreaddons-dev,
                libqt6svg6-dev,
                libyaml-cpp-dev,
+               python3,
                qt6-base-dev,
                qt6-declarative-dev,
                qt6-l10n-tools,
